package com.ykMap.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ykMap.entity.Yxlgl;
import com.ykMap.entity.request.YxlglRequest;
import com.ykMap.mapper.YxlglMapper;
import com.ykMap.service.YxlglService;
import org.springframework.stereotype.Service;

/**
 * 【营运管理部门】：线路管理数据（exl_operation_line_data）表业务处理层
 *
 * @author du
 * @since 2024/5/13 9:58
 */
@Service
public class YxlglServiceImpl extends ServiceImpl<YxlglMapper, Yxlgl> implements YxlglService {

    /**
     * 分页查询所有数据
     *
     * @param page               分页对象
     * @param yxlglRequest 查询实体
     * @return 所有数据
     */
    @Override
    public Page<Yxlgl> page(Page<Yxlgl> page, YxlglRequest yxlglRequest) {
        return baseMapper.page(page,yxlglRequest);
    }
}
