package com.ykMap.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ykMap.entity.Yywtz;
import com.ykMap.mapper.YywtzMapper;
import com.ykMap.service.YywtzService;
import org.springframework.stereotype.Service;

/**
 * 【营运管理部门】：业务拓展数据（exl_operation_expansion_data）表业务处理层
 *
 * @author du
 * @since 2024/5/13 9:58
 */
@Service
public class YywtzServiceImpl extends ServiceImpl<YywtzMapper, Yywtz> implements YywtzService {

    /**
     * 分页查询所有数据
     *
     * @param page               分页对象
     * @return 所有数据
     */
    @Override
    public Page<Yywtz> page(Page<Yywtz> page) {
        return baseMapper.page(page);
    }
}
